### Function

# Cogl is_pipeline

since: 13

#### Declaration [src]

    gboolean
    cogl_is_pipeline (
      void* object
    )

#### Description [src]

Gets whether the given `object` references an existing pipeline object.

Available since: 13

#### Parameters

`object`

  Type: `void*`

  A `CoglObject`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the `object` references a `CoglPipeline`, `FALSE` otherwise.